<?
define('PROTECTOR', 1);

$headmod = 'bank';//фикс. места

$textl='Банк';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


$d = time();
$r=rand(1,10);
$req = mysql_query("SELECT * FROM `bank` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto>=1){
$bank = mysql_fetch_array($req);
}
function perc(){
global $log,$d,$pas,$udata,$bank;
if(!empty($bank[usr])){
if($bank[money]<1000){$stavka=1.15;}
if($bank[money]>=1000){$stavka=1.10;}
if($bank[money]>=5000){$stavka=1.08;}
if($bank[money]>=10000){$stavka=1.06;}
if($bank[money]>=25000){$stavka=1.05;}
if($bank[money]>=50000){$stavka=1.04;}
if($bank[money]>=200000){$stavka=1.03;}
if($bank[money]>=500000){$stavka=1.02;}


if($d>=($bank[ltime]+86400)){
$bank[money]=round($bank[money]*$stavka);
$poluchil=round($bank[money]*$stavka);
$itogo=round($poluchil-$bank[money]);
echo"<b>Вам начислены проценты с вашего счёта! Вы получили <img src=pic/main/gold1.png>".$itogo."</b><br/>";
mysql_query("UPDATE `bank` SET `money` = '$bank[money]',`ltime`='$d' WHERE `usr` = '$log'");
echo"<a href=\"bank.php?r=$r\">Продолжить</a>";
include($path.'files/down.php');exit;
}
}
}
switch($_GET[mod]){

default:
if(empty($bank[usr])){
echo"Вы не являетесь клиентом банка! Стартовый взнос <img src=pic/main/gold1.png>10!<br/>";
}else{
perc();

if($bank[money]<1000){$stavka=1.15;}
if($bank[money]>=1000){$stavka=1.10;}
if($bank[money]>=5000){$stavka=1.08;}
if($bank[money]>=10000){$stavka=1.06;}
if($bank[money]>=25000){$stavka=1.05;}
if($bank[money]>=50000){$stavka=1.04;}
if($bank[money]>=200000){$stavka=1.03;}
if($bank[money]>=500000){$stavka=1.02;}

$timedo=(($bank[ltime]+86400)-$d)/3600;
$timedo=round($timedo);
echo"На счету в банке <img src=pic/main/gold1.png>$bank[money]! До начисления процентов: $timedo часов.<br/>";
$poluchil=round($bank[money]*$stavka);
$itogo=round($poluchil-$bank[money]);
echo"Получите: <img src=pic/main/gold1.png>$itogo<br/>";

}
echo "<form action=\"bank.php?mod=go\" method=\"post\">";
echo '<b>Операция:</b><br/>';

echo '<input name="gold"/><br/>';
echo '<select name="oper" value="2">';
echo '<option value="1">Снять</option><option value="2">Положить</option>';
echo '</select><br/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';


echo"<br/><a href=\"bank.php?mod=send\">Перевод монет</a><br/>";
$req = mysql_query("SELECT * FROM `bank`");
$all_bank=mysql_num_rows($req);
$am=0;
While($sum = mysql_fetch_array($req))
{
$am=$am+$sum[money];
}
echo'<br/>Всего вкладчиков: '.$all_bank.'';
echo'<br/>Капитал банка: '.$am.'';
break;

case 'go':
if($_POST[oper]==1){
if(empty($bank[usr])){
echo'Вы не являетесь клиентом банка!<br/>';
}else{
if($_POST[gold]<=0 or ($bank[money]-$_POST[gold])<10){
echo'Ошибка, введена не верная сумма!В банке должно остаться не меньше <img src=pic/main/gold1.png>10!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$bank[money]=$bank[money]-$_POST[gold];
mysql_query("UPDATE `bank` SET `money` = '$bank[money]',`ltime`='$d' WHERE `usr` = '$log'");
$udata[money]=$udata[money]+$_POST[gold];
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
echo"
Вы забрали с банка: <img src=pic/main/gold1.png><b>$_POST[gold]</b><br/>
";
}
}elseif($_POST[oper]==2){
if($_POST[gold]<=0 or ($udata[money]-$_POST[gold])<0){
echo'Ошибка, введена не верная сумма!Возможно у вас таких денег нет!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if(empty($bank[usr])){
if($_POST[gold]<10){
echo'Первый взнос должен быть не меньше <img src=pic/main/gold1.png>10!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$udata[money]=$udata[money]-$_POST[gold];
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("INSERT INTO bank SET usr='$log',money='$_POST[gold]',ltime='$d'");
echo"
Поздравляем, Вы стали клиентом банка! Ваш первый взнос составил: <img src=pic/main/gold1.png><b>$_POST[gold]</b><br/>
";
}else{
$bank[money]=$bank[money]+$_POST[gold];
$udata[money]=$udata[money]-$_POST[gold];
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

mysql_query("UPDATE `bank` SET `money` = '$bank[money]',`ltime`='$d' WHERE `usr` = '$log'");
echo"
Ваш взнос составил: <img src=pic/main/gold1.png><b>$_POST[gold]</b><br/>
";
}
}else{
echo'Ошибка!<br/>';
}
echo"<a href=\"bank.php?\">Назад</a>";
break;

case 'send':
if(empty($_GET[act])){
echo "<form action=\"bank.php?mod=send&amp;act=go\" method=\"post\">";
echo '<b>Кому:</b><br/>';

echo '<input name="komu"/><br/>';
echo '<b>Сколько:</b><br/>';
echo '<input name="gold"/><br/>';

echo '<input type="submit" value="Продолжить"/></form>';
}elseif($_GET[act]==go){
if($_POST[komu]==$log){
echo'Себе передавать монеты нельзя!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if($_POST[gold]<=0 or ($bank[money]-$_POST[gold])<=0){
echo'Ошибка, введена не верная сумма!Возможно у вас на счету таких денег нет!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if(empty($bank[usr])){
echo'Вы не являетесь клиентом банка!<br/>';
echo"<a href=\"bank.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `bank` WHERE `usr` = '$_POST[komu]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Получатель не является клиентом банка!<br/>';
}else{
$ubank = mysql_fetch_array($req);
$ubank[money]=$ubank[money]+$_POST[gold];
$bank[money]=$bank[money]-$_POST[gold];
$komu = $_POST[komu];
$time = date("H:i:s d.m.g");
mysql_query("UPDATE `bank` SET `money` = '$ubank[money]', `ltime`='$d' WHERE `usr` = '$_POST[komu]'");
mysql_query("UPDATE `bank` SET `money` = '$bank[money]', `ltime`='$d' WHERE `usr` = '$log'");
$text = "Игрок ".$log." перевел Вам на счет <img src=pic/main/gold1.png>".$_POST[gold]." ";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Банк', `user_to` = '$_POST[komu]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
echo"<img src=pic/main/gold1.png>$_POST[gold] переведенно $_POST[komu]!<br/>";
}
}else{
echo'Ошибка!<br/>';
}
echo"<a href=\"bank.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>